Index: trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/iniphysiq_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/iniphysiq_mod.F90	(revision 1523)
+++ trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phytitan/iniphysiq_mod.F90	(revision 1524)
@@ -22,4 +22,6 @@
                         rlond, & ! longitudes
                         rlatd ! latitudes
+  USE temps_mod, ONLY: annee_ref, day_ref, day_ini, day_end
+  USE time_phylmdz_mod, ONLY: init_time
   USE regular_lonlat_mod, ONLY : init_regular_lonlat, &
                                  east, west, north, south, &
@@ -172,4 +174,7 @@
   call suphec
 
+  ! Initialize some "temporal and calendar" related variables
+  CALL init_time(annee_ref,day_ref,day_ini,day_end,ptimestep)
+
 !$OMP END PARALLEL
 
Index: trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/iniphysiq_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/iniphysiq_mod.F90	(revision 1523)
+++ trunk/LMDZ.COMMON/libf/dynlonlat_phylonlat/phyvenus/iniphysiq_mod.F90	(revision 1524)
@@ -22,4 +22,6 @@
                         rlond, & ! longitudes
                         rlatd ! latitudes
+  USE temps_mod, ONLY: annee_ref, day_ref, day_ini, day_end
+  USE time_phylmdz_mod, ONLY: init_time
   USE regular_lonlat_mod, ONLY : init_regular_lonlat, &
                                  east, west, north, south, &
@@ -172,4 +174,7 @@
   call suphec
 
+  ! Initialize some "temporal and calendar" related variables
+  CALL init_time(annee_ref,day_ref,day_ini,day_end,ptimestep)
+
 !$OMP END PARALLEL
 
Index: trunk/LMDZ.GENERIC/README
===================================================================
--- trunk/LMDZ.GENERIC/README	(revision 1523)
+++ trunk/LMDZ.GENERIC/README	(revision 1524)
@@ -1141,2 +1141,9 @@
 - Turned iniphysiq (in dynlonlat_phylonlat/phymars)into module
   "iniphysiq_mod.F90".
+
+== 29/03/2016 == EM
+- Added "time_phylmdz_mod.F90" module to store information on time and
+  calendar in the physics, should be used instead of accessing "temps_mod"
+  from the dynamics. And moved daysec and dtphys from module "comcstfi_mod"
+  to module "time_phylmdz_mod".
+- made "inifis" a module.
Index: trunk/LMDZ.GENERIC/libf/dynlonlat_phylonlat/phystd/iniphysiq_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/dynlonlat_phylonlat/phystd/iniphysiq_mod.F90	(revision 1523)
+++ trunk/LMDZ.GENERIC/libf/dynlonlat_phylonlat/phystd/iniphysiq_mod.F90	(revision 1524)
@@ -24,4 +24,5 @@
 use planete_mod, only: ini_planete_mod
 USE comvert_mod, ONLY: ap,bp,preff
+use inifis_mod, only: inifis
 use regular_lonlat_mod, only: init_regular_lonlat, &
                               east, west, north, south, &
Index: trunk/LMDZ.GENERIC/libf/dynlonlat_phylonlat/phystd/newstart.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/dynlonlat_phylonlat/phystd/newstart.F	(revision 1523)
+++ trunk/LMDZ.GENERIC/libf/dynlonlat_phylonlat/phystd/newstart.F	(revision 1524)
@@ -22,7 +22,5 @@
       USE comgeomfi_h, ONLY: lati, long, area
       use datafile_mod, only: datadir, surfdir
-! to use  'getin'
-!      USE ioipsl_getincom, only: getin
-      USE ioipsl_getincom_p, only: getin_p
+      use ioipsl_getin_p_mod, only: getin_p
       use control_mod, only: day_step, iphysiq, anneeref, planet_type
       use phyredem, only: physdem0, physdem1
@@ -37,4 +35,5 @@
       USE temps_mod, ONLY: day_ini
       USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
+      use inifis_mod, only: inifis
       implicit none
 
Index: trunk/LMDZ.GENERIC/libf/phystd/comcstfi_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/comcstfi_mod.F90	(revision 1523)
+++ trunk/LMDZ.GENERIC/libf/phystd/comcstfi_mod.F90	(revision 1524)
@@ -8,10 +8,8 @@
       REAL,SAVE :: cpp ! Cp of the atmosphere
       REAL,SAVE :: rcp ! r/cpp
-      REAL,SAVE :: dtphys ! physics time step (s)
-      REAL,SAVE :: daysec ! length of day (s)
       REAL,SAVE :: mugaz ! molar mass of the atmosphere (g/mol)
       REAL,SAVE :: omeg ! planet rotation rate (rad/s)
       REAL,SAVE :: avocado ! something like 6.022e23
-!$OMP THREADPRIVATE(pi,rad,g,r,cpp,rcp,dtphys,daysec,mugaz,omeg,avocado)
+!$OMP THREADPRIVATE(pi,rad,g,r,cpp,rcp,mugaz,omeg,avocado)
 
 END MODULE comcstfi_mod
Index: trunk/LMDZ.GENERIC/libf/phystd/dyn1d/rcm1d.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/dyn1d/rcm1d.F	(revision 1523)
+++ trunk/LMDZ.GENERIC/libf/phystd/dyn1d/rcm1d.F	(revision 1524)
@@ -19,10 +19,12 @@
      &         obliquit,nres,z0,lmixmin,emin_turb,coefvis,coefir,
      &         timeperi,e_elips,p_elips
-      use comcstfi_mod, only: pi, cpp, daysec, dtphys, rad, g, r,
+      use comcstfi_mod, only: pi, cpp, rad, g, r,
      &                        mugaz, rcp, omeg
+      use time_phylmdz_mod, only: daysec, dtphys
       use callkeys_mod, only: tracer,check_cpp_match,rings_shadow,
-     &		specOLR,water,pceil,ok_slab_ocean
+     &	                      specOLR,water,pceil,ok_slab_ocean
       USE comvert_mod, ONLY: ap,bp,aps,bps,pa,preff
       USE logic_mod, ONLY: hybrid,autozlevs
+      use inifis_mod, only: inifis
       implicit none
 
@@ -130,5 +132,5 @@
       character*20,allocatable :: nametrac(:)   ! name of the tracer (no need for adv trac common)
 
-      real :: latitude, longitude
+      real :: latitude(1), longitude(1)
 
 c=======================================================================
@@ -339,4 +341,160 @@
       longitude=longitude*pi/180.E+0
 
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!!!! PLANETARY CONSTANTS !!!!
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+      g = -99999.
+      PRINT *,'GRAVITY in m s-2 ?'
+      call getin("g",g)
+      IF (g.eq.-99999.) THEN
+          PRINT *,"STOP. I NEED g IN RCM1D.DEF."
+          STOP
+      ELSE
+          PRINT *,"--> g = ",g
+      ENDIF
+
+      rad = -99999.
+      PRINT *,'PLANETARY RADIUS in m ?'
+      call getin("rad",rad)
+      ! Planetary  radius is needed to compute shadow of the rings
+      IF (rad.eq.-99999. .and. rings_shadow .eqv. .true.) THEN
+          PRINT *,"STOP. I NEED rad IN RCM1D.DEF."
+          STOP
+      ELSE
+          PRINT *,"--> rad = ",rad
+      ENDIF
+
+      daysec = -99999.
+      PRINT *,'LENGTH OF A DAY in s ?'
+      call getin("daysec",daysec)
+      IF (daysec.eq.-99999.) THEN
+          PRINT *,"STOP. I NEED daysec IN RCM1D.DEF."
+          STOP
+      ELSE
+          PRINT *,"--> daysec = ",daysec
+      ENDIF
+      omeg=4.*asin(1.)/(daysec)
+      PRINT *,"OK. FROM THIS I WORKED OUT:"
+      PRINT *,"--> omeg = ",omeg
+
+      year_day = -99999.
+      PRINT *,'LENGTH OF A YEAR in days ?'
+      call getin("year_day",year_day)
+      IF (year_day.eq.-99999.) THEN
+          PRINT *,"STOP. I NEED year_day IN RCM1D.DEF."
+          STOP
+      ELSE 
+          PRINT *,"--> year_day = ",year_day
+      ENDIF
+
+      periastr = -99999.
+      PRINT *,'MIN DIST STAR-PLANET in AU ?'
+      call getin("periastr",periastr)
+      IF (periastr.eq.-99999.) THEN
+          PRINT *,"STOP. I NEED periastr IN RCM1D.DEF."
+          STOP
+      ELSE
+          PRINT *,"--> periastr = ",periastr
+      ENDIF
+
+      apoastr = -99999.
+      PRINT *,'MAX DIST STAR-PLANET in AU ?'
+      call getin("apoastr",apoastr)
+      IF (apoastr.eq.-99999.) THEN
+          PRINT *,"STOP. I NEED apoastr IN RCM1D.DEF."
+          STOP
+      ELSE
+          PRINT *,"--> apoastr = ",apoastr
+      ENDIF
+
+      peri_day = -99999.
+      PRINT *,'DATE OF PERIASTRON in days ?'
+      call getin("peri_day",peri_day)
+      IF (peri_day.eq.-99999.) THEN
+          PRINT *,"STOP. I NEED peri_day IN RCM1D.DEF."
+          STOP
+      ELSE IF (peri_day.gt.year_day) THEN
+          PRINT *,"STOP. peri_day.gt.year_day"
+          STOP
+      ELSE  
+          PRINT *,"--> peri_day = ", peri_day
+      ENDIF 
+
+      obliquit = -99999. 
+      PRINT *,'OBLIQUITY in deg ?'
+      call getin("obliquit",obliquit)
+      IF (obliquit.eq.-99999.) THEN
+          PRINT *,"STOP. I NEED obliquit IN RCM1D.DEF."
+          STOP
+      ELSE
+          PRINT *,"--> obliquit = ",obliquit
+      ENDIF 
+
+      psurf = -99999.
+      PRINT *,'SURFACE PRESSURE in Pa ?'
+      call getin("psurf",psurf)
+      IF (psurf.eq.-99999.) THEN
+          PRINT *,"STOP. I NEED psurf IN RCM1D.DEF."
+          STOP
+      ELSE
+          PRINT *,"--> psurf = ",psurf
+      ENDIF
+      !! we need reference pressures
+      pa=psurf/30.
+      preff=psurf ! these values are not needed in 1D  (are you sure JL12)
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!!!! END PLANETARY CONSTANTS !!!!
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+c  Date et heure locale du debut du run
+c  ------------------------------------
+c    Date (en sols depuis le solstice de printemps) du debut du run
+      day0 = 0 ! default value for day0
+      write(*,*) 'Initial date (in martian sols ; =0 at Ls=0)?'
+      call getin("day0",day0)
+      day=float(day0)
+      write(*,*) " day0 = ",day0
+c  Heure de demarrage
+      time=0 ! default value for time
+      write(*,*)'Initial local time (in hours, between 0 and 24)?'
+      call getin("time",time)
+      write(*,*)" time = ",time
+      time=time/24.E+0 ! convert time (hours) to fraction of sol
+
+
+c  Discretisation (Definition de la grille et des pas de temps)
+c  --------------
+c
+      nlayer=llm
+      nlevel=nlayer+1
+      nsoil=nsoilmx
+
+      day_step=48 ! default value for day_step
+      PRINT *,'Number of time steps per sol ?'
+      call getin("day_step",day_step)
+      write(*,*) " day_step = ",day_step
+
+       
+      ecritphy=day_step ! default value for ecritphy
+      PRINT *,'Nunber of steps between writediagfi ?'
+      call getin("ecritphy",ecritphy)
+      write(*,*) " ecritphy = ",ecritphy
+
+      ndt=10 ! default value for ndt
+      PRINT *,'Number of sols to run ?'
+      call getin("ndt",ndt)
+      write(*,*) " ndt = ",ndt
+
+      ndt=ndt*day_step     
+      dtphys=daysec/day_step  
+      write(*,*)"-------------------------------------"
+      write(*,*)"-------------------------------------"
+      write(*,*)"--> Physical timestep is ",dtphys
+      write(*,*)"-------------------------------------"
+      write(*,*)"-------------------------------------"
+
 !!! CALL INIFIS
 !!! - read callphys.def
@@ -355,160 +513,4 @@
       r = 8.314511E+0 * 1000.E+0 / mugaz
       rcp = r / cpp
-
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!!!! PLANETARY CONSTANTS !!!!
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-      g = -99999.
-      PRINT *,'GRAVITY in m s-2 ?'
-      call getin("g",g)
-      IF (g.eq.-99999.) THEN
-          PRINT *,"STOP. I NEED g IN RCM1D.DEF."
-          STOP
-      ELSE
-          PRINT *,"--> g = ",g
-      ENDIF
-
-      rad = -99999.
-      PRINT *,'PLANETARY RADIUS in m ?'
-      call getin("rad",rad)
-      ! Planetary  radius is needed to compute shadow of the rings
-      IF (rad.eq.-99999. .and. rings_shadow .eqv. .true.) THEN
-          PRINT *,"STOP. I NEED rad IN RCM1D.DEF."
-          STOP
-      ELSE
-          PRINT *,"--> rad = ",rad
-      ENDIF
-
-      daysec = -99999.
-      PRINT *,'LENGTH OF A DAY in s ?'
-      call getin("daysec",daysec)
-      IF (daysec.eq.-99999.) THEN
-          PRINT *,"STOP. I NEED daysec IN RCM1D.DEF."
-          STOP
-      ELSE
-          PRINT *,"--> daysec = ",daysec
-      ENDIF
-      omeg=4.*asin(1.)/(daysec)
-      PRINT *,"OK. FROM THIS I WORKED OUT:"
-      PRINT *,"--> omeg = ",omeg
-
-      year_day = -99999.
-      PRINT *,'LENGTH OF A YEAR in days ?'
-      call getin("year_day",year_day)
-      IF (year_day.eq.-99999.) THEN
-          PRINT *,"STOP. I NEED year_day IN RCM1D.DEF."
-          STOP
-      ELSE 
-          PRINT *,"--> year_day = ",year_day
-      ENDIF
-
-      periastr = -99999.
-      PRINT *,'MIN DIST STAR-PLANET in AU ?'
-      call getin("periastr",periastr)
-      IF (periastr.eq.-99999.) THEN
-          PRINT *,"STOP. I NEED periastr IN RCM1D.DEF."
-          STOP
-      ELSE
-          PRINT *,"--> periastr = ",periastr
-      ENDIF
-
-      apoastr = -99999.
-      PRINT *,'MAX DIST STAR-PLANET in AU ?'
-      call getin("apoastr",apoastr)
-      IF (apoastr.eq.-99999.) THEN
-          PRINT *,"STOP. I NEED apoastr IN RCM1D.DEF."
-          STOP
-      ELSE
-          PRINT *,"--> apoastr = ",apoastr
-      ENDIF
-
-      peri_day = -99999.
-      PRINT *,'DATE OF PERIASTRON in days ?'
-      call getin("peri_day",peri_day)
-      IF (peri_day.eq.-99999.) THEN
-          PRINT *,"STOP. I NEED peri_day IN RCM1D.DEF."
-          STOP
-      ELSE IF (peri_day.gt.year_day) THEN
-          PRINT *,"STOP. peri_day.gt.year_day"
-          STOP
-      ELSE  
-          PRINT *,"--> peri_day = ", peri_day
-      ENDIF 
-
-      obliquit = -99999. 
-      PRINT *,'OBLIQUITY in deg ?'
-      call getin("obliquit",obliquit)
-      IF (obliquit.eq.-99999.) THEN
-          PRINT *,"STOP. I NEED obliquit IN RCM1D.DEF."
-          STOP
-      ELSE
-          PRINT *,"--> obliquit = ",obliquit
-      ENDIF 
-
-      psurf = -99999.
-      PRINT *,'SURFACE PRESSURE in Pa ?'
-      call getin("psurf",psurf)
-      IF (psurf.eq.-99999.) THEN
-          PRINT *,"STOP. I NEED psurf IN RCM1D.DEF."
-          STOP
-      ELSE
-          PRINT *,"--> psurf = ",psurf
-      ENDIF
-      !! we need reference pressures
-      pa=psurf/30.
-      preff=psurf ! these values are not needed in 1D  (are you sure JL12)
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!!!! END PLANETARY CONSTANTS !!!!
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-c  Date et heure locale du debut du run
-c  ------------------------------------
-c    Date (en sols depuis le solstice de printemps) du debut du run
-      day0 = 0 ! default value for day0
-      write(*,*) 'Initial date (in martian sols ; =0 at Ls=0)?'
-      call getin("day0",day0)
-      day=float(day0)
-      write(*,*) " day0 = ",day0
-c  Heure de demarrage
-      time=0 ! default value for time
-      write(*,*)'Initial local time (in hours, between 0 and 24)?'
-      call getin("time",time)
-      write(*,*)" time = ",time
-      time=time/24.E+0 ! convert time (hours) to fraction of sol
-
-
-c  Discretisation (Definition de la grille et des pas de temps)
-c  --------------
-c
-      nlayer=llm
-      nlevel=nlayer+1
-      nsoil=nsoilmx
-
-      day_step=48 ! default value for day_step
-      PRINT *,'Number of time steps per sol ?'
-      call getin("day_step",day_step)
-      write(*,*) " day_step = ",day_step
-
-       
-      ecritphy=day_step ! default value for ecritphy
-      PRINT *,'Nunber of steps between writediagfi ?'
-      call getin("ecritphy",ecritphy)
-      write(*,*) " ecritphy = ",ecritphy
-
-      ndt=10 ! default value for ndt
-      PRINT *,'Number of sols to run ?'
-      call getin("ndt",ndt)
-      write(*,*) " ndt = ",ndt
-
-      ndt=ndt*day_step     
-      dtphys=daysec/day_step  
-      write(*,*)"-------------------------------------"
-      write(*,*)"-------------------------------------"
-      write(*,*)"--> Physical timestep is ",dtphys
-      write(*,*)"-------------------------------------"
-      write(*,*)"-------------------------------------"
 
 c output spectrum?
